<?php
/**
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/menu.css" type="text/css" />

<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('tw_colorStyle'); ?>.css" type="text/css" />

<!--[if lte IE 7]>
	<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if lte IE 6]>
	<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie6.css" rel="stylesheet" type="text/css" />
	<script type="text/javascript" src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/DD_belatedPNG_0.0.7a.js"></script>
	<script>
	  DD_belatedPNG.fix('div, img');
	</script>
<![endif]-->

<?php
	if ($this->countModules('user4') || $this->countModules('right')) :
		$column_wrapper_width = "rightActive";
		$midcol_width = "rightActive";
	else:
		$column_wrapper_width = "rightNotActive";
		$midcol_width = "rightNotActive";
	endif; 
?>

</head>
<body id="body" class="<?php echo $this->params->get('tw_fontFamily'); ?>">
<div id="header">
	<div class="container">
		<div id="top-header" class="clearfix">
			<div class="logo">
				<a href="<?php echo $this->baseurl ?>">
				<?php if( $this->params->get('tw_colorStyle') == "blue" ): ?>
					<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/style-blue/logo.gif" alt="<?php echo $this->params->get('tw_siteTitle') ." - ". $this->params->get('tw_siteSlogan');?>" title="<?php echo $this->params->get('tw_siteTitle') ." - ". $this->params->get('tw_siteSlogan');?>" />
				<?php elseif( $this->params->get('tw_colorStyle') == "red" ): ?>
					<img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/style-red/logo.gif" alt="<?php echo $this->params->get('tw_siteTitle') ." - ". $this->params->get('tw_siteSlogan');?>" title="<?php echo $this->params->get('tw_siteTitle') ." - ". $this->params->get('tw_siteSlogan');?>" />
				<?php endif; ?>
				</a>
			</div>
			<div class="sub-menu">
				<?php if($this->countModules('user3')) : ?>
					<jdoc:include type="modules" name="user3" />
				<?php endif; ?>
			</div>
		</div>
		<div id="sub-header" class="clearfix">
			<div class="top-menu">
				<?php if($this->countModules('top')) : ?>
					<jdoc:include type="modules" name="top" />
				<?php endif; ?>
			</div>
			
			<div class="date">
				<span class="feed"><a href="<?php echo $this->baseurl ?>/index.php?format=feed&type=rss"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/icon-feed.gif" alt="JNews Warrior" title="JNews Warrior" /> Subscribe Feed</a></span>
				<?php echo date('d M, Y'); ?>
			</div>
		</div>
	</div>
</div>

<div id="maincontent">
	<div class="container">
		<div id="column-wrapper-<?php echo $column_wrapper_width; ?>">
			<div id="midcol-<?php echo $midcol_width; ?>">
				<?php if($option != com_frontpage): ?>
				<div class="breadcrumb">
					<jdoc:include type="modules" name="breadcrumb" />
				</div>
				<?php endif; ?>
				
				<?php if($this->countModules('user2') && $option != com_search) : ?>
					<div id="ticker">
						<jdoc:include type="modules" name="user2" style="xhtml" />
					</div>
				<?php endif; ?>
				
				<jdoc:include type="message" />
				
				<?php if($this->countModules('featured') && $option != com_search) : ?>
					<jdoc:include type="modules" name="featured" style="xhtml" />
				<?php endif; ?>
				
				<jdoc:include type="component" />
				
				<?php if($this->countModules('newstabs') && $option != com_search) : ?>
					<jdoc:include type="modules" name="newstabs" style="xhtml" />
				<?php endif; ?>
				
				<?php if($this->countModules('bottomcontent') && $option != com_search) : ?>
					<jdoc:include type="modules" name="bottomcontent" style="xhtml" />
				<?php endif; ?>
			</div>
			
			<?php if($this->countModules('user1') || $this->countModules('left')) :  ?>
				<div id="leftcol">
					<?php if($this->countModules('user1')) : ?>
						<jdoc:include type="modules" name="user1" style="xhtml" />
					<?php endif; ?>
					<?php if($this->countModules('left')) : ?>
						<jdoc:include type="modules" name="left" style="xhtml" />
					<?php endif; ?>
				</div>
			<?php endif; ?>
		</div>
		
		<div id="rightcol">
			<?php if($this->countModules('user4')) : ?>
				<jdoc:include type="modules" name="user4" />
			<?php endif; ?>
			<?php if($this->countModules('right')) : ?>
				<jdoc:include type="modules" name="right" style="xhtml" />
			<?php endif; ?>
		</div>
	</div>
</div>

<div id="footer">
	<div class="container">
		<div class="footer-menu">
			<?php if($this->countModules('footer-menu')) : ?>
				<jdoc:include type="modules" name="footer-menu" style="xhtml" />
			<?php endif; ?>
		</div>
		<div class="footer-module clearfix">
			<?php include_once (dirname(__FILE__).DS.'/footer.php'); ?>
		</div>
	</div>
</div>
</body>
</html>